
library(dplyr)
library(lubridate)
library(plotly)
library(scales)
library(tidyverse)
library(viridis)


####################################################################################
#### DATA ##########################################################################
####################################################################################


grassland_mgmt_raw = read_excel("data/input/grasslands_data.xlsx", sheet = 'grassland_mgmt') %>% 
  select(Year:`Improved with high inputs`)


grassland_acres = read_excel("data/input/grasslands_data.xlsx", sheet = 'grassland_area') %>% 
  select(Year:`Prime Ha`)


grassland_for_exact <- grassland_acres %>% 
  select(Year,`Total Ha`) %>% 
  left_join(grassland_mgmt_raw) %>% 
  mutate(`Severely degraded` = `Severely degraded`*`Total Ha`,
         `High intensity grazing` = `High intensity grazing`*`Total Ha`,
         `Non-degraded` = `Non-degraded`*`Total Ha`,
         `Improved grassland` = `Improved grassland`*`Total Ha`,
         `Improved with medium inputs` = `Improved with medium inputs`*`Total Ha`)

grassland_for_exact %>% 
  write_csv("data/output/grassland_final_for_exact.csv")

